global
  chroot /var/lib/haproxy
  ca-base ./tmp
  crt-base ./tmp
  tune.ssl.default-dh-param 4096
  log 127.0.0.1 local0 debug

defaults
  log global
  option httplog
  mode http
  retries 3
  timeout http-request    1s
  timeout queue           1s
  timeout connect         1s
  timeout client          1s
  timeout server          1s
  timeout http-keep-alive 1s
  timeout check           1s
  maxconn 32

frontend www-https
  bind *:443 ssl crt wildcard.test.pem

  acl dockerhub ssl_fc_sni docker.test
  http-request replace-header Host .* index.docker.io if dockerhub
  use_backend dockerhub-backend if dockerhub

  acl ghcr ssl_fc_sni ghcr.test
  http-request replace-header Host .* ghcr.io if ghcr
  use_backend ghcr-backend if ghcr

backend dockerhub-backend
  server www1 docker.io:443 ssl verify none

backend ghcr-backend
  server www2 ghcr.io:443 ssl verify none
